Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1076371 - [vdsm] traceback in 'service vdsmd start'
Summary: [vdsm] traceback in 'service vdsmd start'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-14 08:47 UTC by Jiri Belka
Modified: 2016-02-10 19:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:37:43 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 26565 None None None Never

Description Jiri Belka 2014-03-14 08:47:47 UTC
Related to BZ1013371, starting vdsmd on a host which is not configured, thus not part of any RHEVM engine.

To see traceback output is not OK IMHO.

av2.1/vdsm-4.14.2-0.3.el6ev.x86_64 (the newest version we have as ovirt beta3 provided by CI is older)

# service vdsmd start
Starting multipathd daemon:                                [  OK  ]
Starting rpcbind:                                          [  OK  ]
Starting wdmd:                                             [  OK  ]
Starting sanlock:                                          [  OK  ]
Starting libvirtd daemon:                                  [  OK  ]
supervdsm start                                            [  OK  ]
Starting iscsid:                                           [  OK  ]
vdsm: Running mkdirs
vdsm: Running configure_coredump
vdsm: Running run_init_hooks
vdsm: Running gencerts
Configuring a self-signed VDSM host certificatevdsm: Running check_is_configured
libvirt is not configured for vdsm yet
sanlock service requires restart
Modules libvirt,sanlock are not configured
 Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 145, in <module>
    sys.exit(main())
  File "/usr/bin/vdsm-tool", line 142, in main
    return tool_command[cmd]["command"](*args[1:])
  File "/usr/lib64/python2.6/site-packages/vdsm/tool/configurator.py", line 265, in isconfigured
    raise RuntimeError(msg)
RuntimeError: 

One of the modules is not configured to work with VDSM.
To configure the module use the following:
'vdsm-tool configure [module_name]'.

If all modules are not configured try to use:
'vdsm-tool configure --force'
(The force flag will stop the module's service and start it
afterwards automatically to load the new configuration.)

vdsm: stopped during execute check_is_configured task (task returned with error code 1).
vdsm start

Comment 1 Petr Beňas 2014-07-29 14:48:37 UTC
Verified in vdsm-4.16.1-0.gita4d9abf.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.